### Enumeration

# Gimp RunMode

#### Declaration

    enum Gimp.RunMode

#### Description [src]

Run modes for plug-ins.

#### Members

`GIMP_RUN_INTERACTIVE`

  Run interactively.

  - Value: `0`
  - Available since: 3.0
`GIMP_RUN_NONINTERACTIVE`

  Run non-interactively.

  - Value: `1`
  - Available since: 3.0
`GIMP_RUN_WITH_LAST_VALS`

  Run with last used values.

  - Value: `2`
  - Available since: 3.0